Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008105TestLinkFilters - Test Specificationpublic2017-10-12 18:392017-10-17 16:34
Reporterewmartinez 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSRed Hat Enterprise Linux ServerOS Version7.1 (Maipo)
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008105: Test Specification Filter by Custom Field - REQUIRED ISSUE
DescriptionI have a project that use personalized field available for test case.
It is set for test specification design and required field.

Whe I try to use the filter it require to complete the field but that field is not relevant for the searching because some time I don't know what is suppose to be the value.
Steps To Reproduce1) Configure a presonalized field for TestCase with:
- Type: Radio
- Posible Values: value1|value2|value3
- Available for: Test Case Specification
- Display in Test Case Executions: Yes
2) Configure a project with that persolized field.
3) Execute a Test Case Specification filter without selecting the personalized field recently configured.
PD: I have Spanish language configured in my installation and I can make wrong mention of the field above.
Additional InformationAttached the filter Message when I tried to execute the a search.
I tested with Chrome where the problem happend, but it doen't happend in Internet Explorer.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
BrowserChrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon FilterMessage.jpg [^] (32,125 bytes) 2017-10-12 18:39


jpg file icon FieldConfiguration.jpg [^] (37,361 bytes) 2017-10-12 18:40


png file icon Screen Shot 2017-10-15 at 10.49.01.png [^] (68,929 bytes) 2017-10-15 08:49

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026928)
fman (administrator)
2017-10-14 15:27

first option => do not use a radio and try with a list field
(0026931)
fman (administrator)
2017-10-15 08:49

An import point is :
remember that you can configure a field a mandatory and may be the issue is that when using a field as FILTER the mandatory has to be ignored.

Please check the section regarding Assign Custom Fields where attribute AT PROJECT level are defined => see attached immage
(0026932)
fman (administrator)
2017-10-15 08:50

Confirmed issue is rised when custom field has been defined as REQUIRED => going to fix soon
(0026933)
fman (administrator)
2017-10-15 08:58

solved with

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/03bf8aa7062fc1958ce06c732b9a512117885c27 [^]
(0026939)
ewmartinez (reporter)
2017-10-17 16:34

Hi, I've tested the list option and it worked fine.
And I've implemented the change and it work fine with the radio buttom too.

- Issue History
Date Modified Username Field Change
2017-10-12 18:39 ewmartinez New Issue
2017-10-12 18:39 ewmartinez File Added: FilterMessage.jpg
2017-10-12 18:40 ewmartinez File Added: FieldConfiguration.jpg
2017-10-14 15:27 fman Note Added: 0026928
2017-10-15 08:49 fman Note Added: 0026931
2017-10-15 08:49 fman File Added: Screen Shot 2017-10-15 at 10.49.01.png
2017-10-15 08:50 fman Assigned To => fman
2017-10-15 08:50 fman Status new => feedback
2017-10-15 08:50 fman Note Added: 0026932
2017-10-15 08:52 fman QA Team - Task Workflow Status => TBD
2017-10-15 08:52 fman Summary Test Specification Requires to use personalized field => Test Specification Filter by Custom Field - REQUIRED ISSUE
2017-10-15 08:52 fman Description Updated View Revisions
2017-10-15 08:52 fman Description Updated View Revisions
2017-10-15 08:58 fman Note Added: 0026933
2017-10-15 08:58 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-10-15 08:58 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-10-15 08:58 fman Status feedback => resolved
2017-10-15 08:58 fman Resolution open => fixed
2017-10-15 09:03 fman Relationship added child of 0007817
2017-10-17 16:34 ewmartinez Note Added: 0026939



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker